/**
 * 仪器采购订单表相关
 */
import http from '../http'

export default {
  addDetail: data =>
    http.post('/res/v1/equip_purchase/addDetail/', data).then(res => res),
  getById: id => http.get('/res/v1/equip_purchase/' + id).then(res => res),
  // 一级审批(实验室主任)
  approve: data =>
    http
      .post('/res/v1/equip_purchase/approve_flow/' + data.taskId, data)
      .then(res => res),
  // 二级审批（总经理）
  approveManager: data =>
    http
      .post('/res/v1/equip_purchase/approve_manager/' + data.id, data)
      .then(res => res)
}
